Bug 1869477 (CVE-2020-8623) - CVE-2020-8623 bind: remotely triggerable assertion failure in pk11.c
Summary: CVE-2020-8623 bind: remotely triggerable assertion failure in pk11.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8623
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1869769 1869770 1870905 1874952 1874956 1874959 1874962
Blocks: 1869469
TreeView+ depends on / blocked
 
Reported: 2020-08-18 04:58 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-06-04 14:51 UTC (History)
13 users (show)

Fixed In Version: bind 9.11.22, bind 9.16.6, bind 9.17.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in bind. An assertion failure can occur when a specially crafted query for a zone signed with an RSA key. BIND must be compiled with "--enable-native-pkcs11" for the system to be affected. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:26:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4500 0 None None None 2020-11-04 01:31:01 UTC
Red Hat Product Errata RHSA-2020:4992 0 None None None 2020-11-10 10:01:09 UTC
Red Hat Product Errata RHSA-2020:5011 0 None None None 2020-11-10 13:00:07 UTC
Red Hat Product Errata RHSA-2020:5203 0 None None None 2020-11-24 11:33:34 UTC

Description Huzaifa S. Sidhpurwala 2020-08-18 04:58:02 UTC
As per upstream advisory:

If BIND is built with "--enable-native-pkcs11" then a specially crafted query for a zone signed with RSA can trigger an assertion failure.

An attacker that can reach a vulnerable system with a specially crafted query packet can trigger a crash.

To be vulnerable, the system must:

-  be running BIND that was built with "--enable-native-pkcs11"
-  be signing one or more zones with an RSA key
-  be able to receive queries from a possible attacker

Comment 1 Huzaifa S. Sidhpurwala 2020-08-18 04:58:05 UTC
Acknowledgments:

Name: ISC
Upstream: Lyu Chiy

Comment 5 Huzaifa S. Sidhpurwala 2020-08-21 02:19:33 UTC
External References:

https://kb.isc.org/docs/cve-2020-8623

Comment 6 Huzaifa S. Sidhpurwala 2020-08-21 02:20:36 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1870905]

Comment 7 Huzaifa S. Sidhpurwala 2020-08-26 16:03:29 UTC
Upstream commit: https://gitlab.isc.org/isc-projects/bind9/-/commit/8d807cc21655eaa6e6a08afafeec3682c0f3f2ab

Comment 23 errata-xmlrpc 2020-11-04 01:30:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4500 https://access.redhat.com/errata/RHSA-2020:4500

Comment 24 Product Security DevOps Team 2020-11-04 02:26:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8623

Comment 27 errata-xmlrpc 2020-11-10 10:01:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:4992 https://access.redhat.com/errata/RHSA-2020:4992

Comment 28 errata-xmlrpc 2020-11-10 13:00:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5011 https://access.redhat.com/errata/RHSA-2020:5011

Comment 30 errata-xmlrpc 2020-11-24 11:33:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:5203 https://access.redhat.com/errata/RHSA-2020:5203


Note You need to log in before you can comment on or make changes to this bug.